{"openapi":"3.0.3","info":{"title":"agenteek seller agent API","version":"0.1.0","description":"REST access to a merchant's seller agent, for AI agents that speak neither MCP nor A2A. Answers are grounded in the merchant's indexed website and always include source URLs."},"servers":[{"url":"https://api.agenteek.ai"}],"paths":{"/v1/agents/{siteId}/messages":{"post":{"operationId":"sendMessage","summary":"Ask the merchant's seller agent","parameters":[{"name":"siteId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"X-Agent-Name","in":"header","required":false,"schema":{"type":"string"},"description":"Declared name of the calling agent"},{"name":"X-Agent-Url","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","minLength":1,"maxLength":4000},"conversation_id":{"nullable":true,"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"caller":{"type":"object","properties":{"name":{"type":"string","maxLength":200},"url":{"type":"string","maxLength":500}},"additionalProperties":false}},"required":["message"],"additionalProperties":false}}}},"responses":{"200":{"description":"Agent reply","content":{"application/json":{"schema":{"type":"object","properties":{"text":{"type":"string"},"offers":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"sku":{"type":"string"},"name":{"type":"string"},"price":{"nullable":true,"type":"number"},"currency":{"nullable":true,"type":"string"},"availability":{"nullable":true,"type":"string"},"url":{"type":"string"},"imageUrl":{"nullable":true,"type":"string"}},"required":["id","sku","name","price","currency","availability","url","imageUrl"],"additionalProperties":false}},"sources":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"title":{"nullable":true,"type":"string"}},"required":["url"],"additionalProperties":false}},"conversation_id":{"type":"string"}},"required":["text","offers","sources","conversation_id"],"additionalProperties":false}}}},"404":{"description":"Unknown site"},"409":{"description":"Site not ready yet (still indexing)"},"429":{"description":"Rate limited"}}}},"/v1/directory":{"get":{"operationId":"directory","summary":"Find the agenteek agent endpoints of a merchant domain","parameters":[{"name":"domain","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Endpoints for the domain"}}}}}}